Debian Bug report logs - #264589
packages.d.o: please link to manpages on manpages.d.n

Package: www.debian.org; Maintainer for www.debian.org is Debian WWW Team <debian-www@lists.debian.org>;

Reported by: Dave Page <grimoire@sparky.ox.compsoc.net>

Date: Mon, 9 Aug 2004 14:48:01 UTC

Severity: wishlist

Tags: confirmed

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, James Treacy and others <debian-www@lists.debian.org>:
Bug#264589; Package www.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Dave Page <grimoire@sparky.ox.compsoc.net>:
New Bug report received and forwarded. Copy sent to James Treacy and others <debian-www@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Dave Page <grimoire@sparky.ox.compsoc.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: www.debian.org: Online manpages, preferably linked by package?
Date: Mon, 09 Aug 2004 15:34:10 +0100
Package: www.debian.org
Severity: wishlist


It would be useful for Debian users if man pages for software in the
Debian archives were available through the website. This could be
automated to make sure that not only the manpages, but the correct
versions of the manpages, were available to Debian users. Currently,
finding a manpage for a non-installed package is a fairly haphazard
affair involving lots of Googling, and having a central repository would
be very handy since installing a package just to read a manpage is
time-consuming.

It would also be good if there could be an interface to these manpages
via packages.debian.org - when viewing information on a particular
version of a package, it could have links to the manpages within the
package along with the existing links to the Changelog etc.

-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)
Kernel: Linux 2.6.6-halcyon
Locale: LANG=C, LC_CTYPE=C



Information forwarded to debian-bugs-dist@lists.debian.org, James Treacy and others <debian-www@lists.debian.org>:
Bug#264589; Package www.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Pierre Machard <pmachard@debian.org>:
Extra info received and forwarded to list. Copy sent to James Treacy and others <debian-www@lists.debian.org>. Full text and rfc822 format available.

Message #10 received at 264589@bugs.debian.org (full text, mbox):

From: Pierre Machard <pmachard@debian.org>
To: Dave Page <grimoire@sparky.ox.compsoc.net>, 264589@bugs.debian.org
Subject: Re: Bug#264589: www.debian.org: Online manpages, preferably linked by package?
Date: Mon, 9 Aug 2004 19:34:17 +0200
[Message part 1 (text/plain, inline)]
Hi,

On Mon, Aug 09, 2004 at 03:34:10PM +0100, Dave Page wrote:
> Package: www.debian.org
> Severity: wishlist
> 
> 
> It would be useful for Debian users if man pages for software in the
> Debian archives were available through the website. This could be
> automated to make sure that not only the manpages, but the correct
> versions of the manpages, were available to Debian users. Currently,
> finding a manpage for a non-installed package is a fairly haphazard
> affair involving lots of Googling, and having a central repository would
> be very handy since installing a package just to read a manpage is
> time-consuming.

Here they are for unstable.

http://people.debian.org/~pmachard/l10n/material/man/


> It would also be good if there could be an interface to these manpages
> via packages.debian.org - when viewing information on a particular
> version of a package, it could have links to the manpages within the
> package along with the existing links to the Changelog etc.

Matt any idea about that ?

Cheers,
-- 
                                Pierre Machard
<pmachard@debian.org>                                 http://debian.org
GPG: 1024D/23706F87 : B906 A53F 84E0 49B6 6CF7 82C2 B3A0 2D66 2370 6F87

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, James Treacy and others <debian-www@lists.debian.org>:
Bug#264589; Package www.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Frank Lichtenheld <djpig@debian.org>:
Extra info received and forwarded to list. Copy sent to James Treacy and others <debian-www@lists.debian.org>. Full text and rfc822 format available.

Message #15 received at 264589@bugs.debian.org (full text, mbox):

From: Frank Lichtenheld <djpig@debian.org>
To: Pierre Machard <pmachard@debian.org>, 264589@bugs.debian.org
Cc: Dave Page <grimoire@sparky.ox.compsoc.net>
Subject: Re: Bug#264589: www.debian.org: Online manpages, preferably linked by package?
Date: Tue, 10 Aug 2004 01:01:11 +0200
On Mon, Aug 09, 2004 at 07:34:17PM +0200, Pierre Machard wrote:
> http://people.debian.org/~pmachard/l10n/material/man/
> 
> > It would also be good if there could be an interface to these manpages
> > via packages.debian.org - when viewing information on a particular
> > version of a package, it could have links to the manpages within the
> > package along with the existing links to the Changelog etc.
> 
> Matt any idea about that ?

Matt probably can't help you with that ;)
I'm happy to add more functionality to the packages.d.o pages.
(I prefer however to only link to "official" material, i.e. I'm
feeling a bit uneasy about linking to material on people.d.o).

I have no time this week to even discuss this further but I will come
back on it after that.

Gruesse,
-- 
Frank Lichtenheld <djpig@debian.org>
www: http://www.djpig.de/



Information forwarded to debian-bugs-dist@lists.debian.org, James Treacy and others <debian-www@lists.debian.org>:
Bug#264589; Package www.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Dave Page <grimoire@sparky.ox.compsoc.net>:
Extra info received and forwarded to list. Copy sent to James Treacy and others <debian-www@lists.debian.org>. Full text and rfc822 format available.

Message #20 received at 264589@bugs.debian.org (full text, mbox):

From: Dave Page <grimoire@sparky.ox.compsoc.net>
To: Pierre Machard <pmachard@debian.org>
Cc: 264589@bugs.debian.org
Subject: Re: Bug#264589: www.debian.org: Online manpages, preferably linked by package?
Date: Tue, 10 Aug 2004 00:55:52 +0100
[Message part 1 (text/plain, inline)]
On Mon, Aug 09, 2004 at 07:34:17PM +0200, Pierre Machard wrote:

> > It would be useful for Debian users if man pages for software in the
> > Debian archives were available through the website.

> Here they are for unstable.

> http://people.debian.org/~pmachard/l10n/material/man/

That's cool, but it's nowhere near complete. I was thinking of something
which covers every package in Debian, so I could read (say) man dhclient
without having it installed.

Also, somewhere linked to from the main Debian site (in the
Documentation section would make sense) would be useful.

Not trying to diss what you've done, just trying to suggest something
which would be very helpful to Debian users.

Dave
-- 
"No pain, no EXP" - MightyMax, #neocron, 29/12/2003
IM: grimoire@jabber.earth.li | http://sparky.ox.compsoc.net/~grimoire
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, James Treacy and others <debian-www@lists.debian.org>:
Bug#264589; Package www.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Pierre Machard <pmachard@debian.org>:
Extra info received and forwarded to list. Copy sent to James Treacy and others <debian-www@lists.debian.org>. Full text and rfc822 format available.

Message #25 received at 264589@bugs.debian.org (full text, mbox):

From: Pierre Machard <pmachard@debian.org>
To: Dave Page <grimoire@sparky.ox.compsoc.net>
Cc: 264589@bugs.debian.org
Subject: Re: Bug#264589: www.debian.org: Online manpages, preferably linked by package?
Date: Tue, 10 Aug 2004 07:14:54 +0200
[Message part 1 (text/plain, inline)]
Hi,

On Tue, Aug 10, 2004 at 12:55:52AM +0100, Dave Page wrote:
> On Mon, Aug 09, 2004 at 07:34:17PM +0200, Pierre Machard wrote:
> 
> > > It would be useful for Debian users if man pages for software in the
> > > Debian archives were available through the website.
> 
> > Here they are for unstable.
> 
> > http://people.debian.org/~pmachard/l10n/material/man/
> 
> That's cool, but it's nowhere near complete. I was thinking of something
> which covers every package in Debian, so I could read (say) man dhclient
> without having it installed.

Indeed. My page is intended to find material for translators.

> 
> Also, somewhere linked to from the main Debian site (in the
> Documentation section would make sense) would be useful.

It's not a simple think. The main reason for that, is that source
packages includes the source of manpages. So you need to work on
binary-package. However, as you probably know, some packages conflicts,
other divert, that is to say, 2 packages provide the same feature, and
provide manpages.

Example for lpr manpages exists in cpusys-bsd and lpr


> Not trying to diss what you've done, just trying to suggest something
> which would be very helpful to Debian users.

Unfortunately, I belive that this bug cannt be fixed trivialy. I think I
will a a tag wontfix for now. Until someone provide a manner to
implement it.

Cheers,
-- 
                                Pierre Machard
<pmachard@debian.org>                                 http://debian.org
GPG: 1024D/23706F87 : B906 A53F 84E0 49B6 6CF7 82C2 B3A0 2D66 2370 6F87

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, James Treacy and others <debian-www@lists.debian.org>:
Bug#264589; Package www.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Matt Kraai <kraai@ftbfs.org>:
Extra info received and forwarded to list. Copy sent to James Treacy and others <debian-www@lists.debian.org>. Full text and rfc822 format available.

Message #30 received at 264589@bugs.debian.org (full text, mbox):

From: Matt Kraai <kraai@ftbfs.org>
To: Pierre Machard <pmachard@debian.org>, 264589@bugs.debian.org
Cc: Dave Page <grimoire@sparky.ox.compsoc.net>
Subject: Re: Bug#264589: www.debian.org: Online manpages, preferably linked by package?
Date: Mon, 9 Aug 2004 22:42:44 -0700
[Message part 1 (text/plain, inline)]
On Tue, Aug 10, 2004 at 07:14:54AM +0200, Pierre Machard wrote:
> Unfortunately, I belive that this bug cannt be fixed trivialy. I think I
> will a a tag wontfix for now. Until someone provide a manner to
> implement it.

Please don't do this.  We will fix this, just not yet.

-- 
Matt Kraai            kraai@ftbfs.org            http://ftbfs.org/
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, James Treacy and others <debian-www@lists.debian.org>:
Bug#264589; Package www.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Javier Fernández-Sanguino Peña <jfs@computer.org>:
Extra info received and forwarded to list. Copy sent to James Treacy and others <debian-www@lists.debian.org>. Full text and rfc822 format available.

Message #35 received at 264589@bugs.debian.org (full text, mbox):

From: Javier Fernández-Sanguino Peña <jfs@computer.org>
To: Matt Kraai <kraai@ftbfs.org>, 264589@bugs.debian.org
Cc: Pierre Machard <pmachard@debian.org>, Dave Page <grimoire@sparky.ox.compsoc.net>
Subject: Re: Bug#264589: www.debian.org: Online manpages, preferably linked by package?
Date: Thu, 26 Aug 2004 12:35:34 +0200
[Message part 1 (text/plain, inline)]
On Mon, Aug 09, 2004 at 10:42:44PM -0700, Matt Kraai wrote:
> On Tue, Aug 10, 2004 at 07:14:54AM +0200, Pierre Machard wrote:
> > Unfortunately, I belive that this bug cannt be fixed trivialy. I think I
> > will a a tag wontfix for now. Until someone provide a manner to
> > implement it.
> 
> Please don't do this.  We will fix this, just not yet.

I agree, this is definitely something we need to implement since it has
been a longstanding issue. Many other distributions/OS provide online
manpages and those are a valuable thing, it should be possible to automate
extraction of manpages from binary packages, drop them in a per-package
hierarchy (to avoid conflicts) and generate browseable index (and
searchable index) for them.  It's just a matter of dedicating some time to 
write the appropiate code, write it, and run it over a mirror copy with the 
output available in, for example, www.debian.org/doc/manpages/

Regards

Javier
[signature.asc (application/pgp-signature, inline)]

Owner recorded as Frank Lichtenheld <djpig@debian.org>. Request was from Frank Lichtenheld <djpig@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, James Treacy and others <debian-www@lists.debian.org>:
Bug#264589; Package www.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Frank Lichtenheld <djpig@debian.org>:
Extra info received and forwarded to list. Copy sent to James Treacy and others <debian-www@lists.debian.org>. Full text and rfc822 format available.

Message #42 received at 264589@bugs.debian.org (full text, mbox):

From: Frank Lichtenheld <djpig@debian.org>
To: Javier Fernández-Sanguino Peña <jfs@computer.org>, 264589@bugs.debian.org
Cc: Matt Kraai <kraai@ftbfs.org>, Pierre Machard <pmachard@debian.org>, Dave Page <grimoire@sparky.ox.compsoc.net>
Subject: Re: Bug#264589: www.debian.org: Online manpages, preferably linked by package?
Date: Sun, 19 Sep 2004 17:55:58 +0200
On Thu, Aug 26, 2004 at 12:35:34PM +0200, Javier Fernández-Sanguino Peña wrote:
> I agree, this is definitely something we need to implement since it has
> been a longstanding issue. Many other distributions/OS provide online
> manpages and those are a valuable thing, it should be possible to automate
> extraction of manpages from binary packages, drop them in a per-package
> hierarchy (to avoid conflicts) and generate browseable index (and
> searchable index) for them.  It's just a matter of dedicating some time to 
> write the appropiate code, write it, and run it over a mirror copy with the 
> output available in, for example, www.debian.org/doc/manpages/

I have played around a bit with the idea. Some preliminary results I put
up at http://manpages.debian.net/ . Just very basic stuff so far. You
can search for the exact name of a man page or package and read them
in HTML, plain text and roff source. And there is a index available,
sorted by man page names.

Some limitations of this early version:
- No real search engine yet, therefor currently no apropos or
  full text search.
- Doesn't handle links (symbolic and .so) at all yet
- My local mirror only has i386 and all, so no man pages from other
  architectures, yet.
- No page layout, just enough HTML display the information
- Man page conversion to HTML is done with man2html (available
  as Debian package), I already found some annoying bugs, e.g. in
  the link identifying heuristics.
- More static indices to come.

Comments welcome.

(P.S.: The man pages can also be browsed in a (very deep) directory
structure, http://manpages.debian.net/manpages/, main and contrib
contain links to the real files in pool which are hashed by their
md5sum)

Gruesse,
-- 
Frank Lichtenheld <djpig@debian.org>
www: http://www.djpig.de/



Information forwarded to debian-bugs-dist@lists.debian.org, James Treacy and others <debian-www@lists.debian.org>, Frank Lichtenheld <djpig@debian.org>:
Bug#264589; Package www.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Colin Watson <cjwatson@debian.org>:
Extra info received and forwarded to list. Copy sent to James Treacy and others <debian-www@lists.debian.org>, Frank Lichtenheld <djpig@debian.org>. Full text and rfc822 format available.

Message #47 received at 264589@bugs.debian.org (full text, mbox):

From: Colin Watson <cjwatson@debian.org>
To: Frank Lichtenheld <djpig@debian.org>, 264589@bugs.debian.org
Cc: Javier Fernández-Sanguino Peña <jfs@computer.org>, Matt Kraai <kraai@ftbfs.org>, Pierre Machard <pmachard@debian.org>, Dave Page <grimoire@sparky.ox.compsoc.net>
Subject: Re: Bug#264589: www.debian.org: Online manpages, preferably linked by package?
Date: Sun, 19 Sep 2004 17:37:14 +0100
On Sun, Sep 19, 2004 at 05:55:58PM +0200, Frank Lichtenheld wrote:
> - Man page conversion to HTML is done with man2html (available
>   as Debian package), I already found some annoying bugs, e.g. in
>   the link identifying heuristics.

Have you looked at groff -Thtml, with a reasonably recent version of
groff?

Also, have you looked at the (very hackish, but surprisingly effective)
way w3mman works?

Cheers,

-- 
Colin Watson                                       [cjwatson@debian.org]



Information forwarded to debian-bugs-dist@lists.debian.org, James Treacy and others <debian-www@lists.debian.org>:
Bug#264589; Package www.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Frank Lichtenheld <djpig@debian.org>:
Extra info received and forwarded to list. Copy sent to James Treacy and others <debian-www@lists.debian.org>. Full text and rfc822 format available.

Message #52 received at 264589@bugs.debian.org (full text, mbox):

From: Frank Lichtenheld <djpig@debian.org>
To: Colin Watson <cjwatson@debian.org>
Cc: 264589@bugs.debian.org, Javier Fernández-Sanguino Peña <jfs@computer.org>, Matt Kraai <kraai@ftbfs.org>, Pierre Machard <pmachard@debian.org>, Dave Page <grimoire@sparky.ox.compsoc.net>
Subject: Re: Bug#264589: www.debian.org: Online manpages, preferably linked by package?
Date: Sun, 19 Sep 2004 19:36:55 +0200
On Sun, Sep 19, 2004 at 05:37:14PM +0100, Colin Watson wrote:
> On Sun, Sep 19, 2004 at 05:55:58PM +0200, Frank Lichtenheld wrote:
> > - Man page conversion to HTML is done with man2html (available
> >   as Debian package), I already found some annoying bugs, e.g. in
> >   the link identifying heuristics.
> 
> Have you looked at groff -Thtml, with a reasonably recent version of
> groff?

Argh, tried it, didn't work, forgot that I only had groff-base installed
and did go ahead, stupid me ...

Will try that again now I have groff installed ;)

> Also, have you looked at the (very hackish, but surprisingly effective)
> way w3mman works?

Never heard of that, will take a look.

Gruesse,
-- 
Frank Lichtenheld <djpig@debian.org>
www: http://www.djpig.de/



Information forwarded to debian-bugs-dist@lists.debian.org, James Treacy and others <debian-www@lists.debian.org>, Frank Lichtenheld <djpig@debian.org>:
Bug#264589; Package www.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Javier Fernández-Sanguino Peña <jfs@computer.org>:
Extra info received and forwarded to list. Copy sent to James Treacy and others <debian-www@lists.debian.org>, Frank Lichtenheld <djpig@debian.org>. Full text and rfc822 format available.

Message #57 received at 264589@bugs.debian.org (full text, mbox):

From: Javier Fernández-Sanguino Peña <jfs@computer.org>
To: Frank Lichtenheld <djpig@debian.org>
Cc: 264589@bugs.debian.org, Matt Kraai <kraai@ftbfs.org>, Pierre Machard <pmachard@debian.org>, Dave Page <grimoire@sparky.ox.compsoc.net>
Subject: Re: Bug#264589: www.debian.org: Online manpages, preferably linked by package?
Date: Mon, 20 Sep 2004 09:00:03 +0200
[Message part 1 (text/plain, inline)]
On Sun, Sep 19, 2004 at 05:55:58PM +0200, Frank Lichtenheld wrote:
> 
> I have played around a bit with the idea. Some preliminary results I put
> up at http://manpages.debian.net/ . Just very basic stuff so far. You
> can search for the exact name of a man page or package and read them
> in HTML, plain text and roff source. And there is a index available,
> sorted by man page names.

Have you tried the Man CGI interfaces that are available at 
http://www.freebsd.org/cgi/man.cgi,  
http://www.openbsd.org/cgi-bin/man.cgi or
http://netbsd.gw.com/cgi-bin/man-cgi?++NetBSD-current
?

There seems to be quite a number of MAN cgi implementations [1] so maybe
it's best to base a new interface and adapting it taking into account our
needs (show indexes of manpages based on package) and our issues (some
packages have manpage conflicts). I have not made a deep revision but this
one seems to be the one most people fork from:
http://www.softlab.ntua.gr/~christia/man-cgi.html (quite simple, just a
little bit of sed/awk)

The only problem with the above script it that it assumes you are running 
it in a system which has all the manpages, it might need to be adapted 
(like NetBSD did) so that it can handle multiple different manpages 
collections (NetBSD's provides a mechanism to search by architecture and 
collection).

Just my 2c

Regrds

Javier

[1] http://www.w3.org/Tools/Man_faq_filters.html
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, James Treacy and others <debian-www@lists.debian.org>:
Bug#264589; Package www.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Frank Lichtenheld <djpig@debian.org>:
Extra info received and forwarded to list. Copy sent to James Treacy and others <debian-www@lists.debian.org>. Full text and rfc822 format available.

Message #62 received at 264589@bugs.debian.org (full text, mbox):

From: Frank Lichtenheld <djpig@debian.org>
To: Javier Fernández-Sanguino Peña <jfs@computer.org>, 264589@bugs.debian.org
Cc: Matt Kraai <kraai@ftbfs.org>, Pierre Machard <pmachard@debian.org>, Dave Page <grimoire@sparky.ox.compsoc.net>
Subject: Re: Bug#264589: www.debian.org: Online manpages, preferably linked by package?
Date: Mon, 20 Sep 2004 17:45:56 +0200
On Mon, Sep 20, 2004 at 09:00:03AM +0200, Javier Fernández-Sanguino Peña wrote:
> There seems to be quite a number of MAN cgi implementations [1] so maybe
> it's best to base a new interface and adapting it taking into account our
> needs (show indexes of manpages based on package) and our issues (some
> packages have manpage conflicts). I have not made a deep revision but this
> one seems to be the one most people fork from:
> http://www.softlab.ntua.gr/~christia/man-cgi.html (quite simple, just a
> little bit of sed/awk)
> 
> The only problem with the above script it that it assumes you are running 
> it in a system which has all the manpages, it might need to be adapted 
> (like NetBSD did) so that it can handle multiple different manpages 
> collections (NetBSD's provides a mechanism to search by architecture and 

Thanks for the links, will investigate the existing solutions.
From what I can tell, there may be quickly the point where it
simpler to make an own solution as to adapt programs like apropos
to fit our needs. (Interesting enough that the tarball with all man
pages for *BSD is about 5 MB in size, I assume they only take their base
systems? I have 230 MB here for Debian i386+all [though this number will
not grow much since I save all identical man pages only once, so the other
arches will not add much)

Gruesse,
-- 
Frank Lichtenheld <djpig@debian.org>
www: http://www.djpig.de/



Information forwarded to debian-bugs-dist@lists.debian.org, Debian WWW Team <debian-www@lists.debian.org>, Frank Lichtenheld <djpig@debian.org>:
Bug#264589; Package www.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Justin Pryzby <justinpryzby@users.sourceforge.net>:
Extra info received and forwarded to list. Copy sent to Debian WWW Team <debian-www@lists.debian.org>, Frank Lichtenheld <djpig@debian.org>. Full text and rfc822 format available.

Message #67 received at 264589@bugs.debian.org (full text, mbox):

From: Justin Pryzby <justinpryzby@users.sourceforge.net>
To: 264589@bugs.debian.org
Subject: debman program
Date: Tue, 20 Sep 2005 21:24:45 -0400
debian-goodies package includes a program called debman which
dynamically extracts a manpage from a package.  I don't know if that
would be useful here; speedwise, it is probably much better to create
a directory hierarchy to separate packages, and languages, with some
simple web search frontend.  Then the problem is simply one of
syncing with updated packages periodically, or "noticing" package
updates.  (And, are all distributions' manpages available?  Or just
stable?)  I guess that deserves another directory hierarchy.  So we
could have something like:

	./man-pages/distribution/package/language/*

Actually, a "pool" design might make sense (not that manpages are
big) to avoid multiple copies of the manpages when a given version of
a package is in multiple distributions simultaneously.

Though I'd mention it.

-- 
Clear skies,
Justin



Message sent on to Dave Page <grimoire@sparky.ox.compsoc.net>:
Bug#264589. Full text and rfc822 format available.

Message #70 received at 264589-submitter@bugs.debian.org (full text, mbox):

From: Javier Fernández-Sanguino Peña <jfs@computer.org>
To: 264589-submitter@bugs.debian.org
Subject: New beta manpage service available
Date: Tue, 21 Aug 2007 23:20:33 +0200
[Message part 1 (text/plain, inline)]
Since manpages.debian.net is no longer working I decided to setup a 
new beta service. After hacking around at FreeBSD's man CGI interface written
by Wolfram Schneider I've been able to come up with this:
http://www.debian.org.es/cgi-bin/man.cgi
Source of the script at
http://www.debian.org.es/cgi-bin/man.cgi/source

The script uses a local manpage directory extracted from a local mirror.
The manpage directory contains three releases (sarge, etch and sid), includes
all translated manpages and is about 1.2GB big.

Right now there is no cron job that regerenates the manpage directory
contents, however.

Some interesting features:

- provides information on available translations, translations can be
  obtained too  but presentation fails to work properly for non-ASCII chars

- allows 'apropos' searches. Does not search through the whole manpage text,
  but it's better than nothing.

- can generate ASCII, PS and PDF formats, besides HTML

More information available at
http://lists.debian.org/debian-doc/2007/08/msg00133.html

I would be interested to hear what people think of this service.

Regards

Javier
[signature.asc (application/pgp-signature, inline)]

Removed annotation that Bug was owned by Frank Lichtenheld <djpig@debian.org>. Request was from Frank Lichtenheld <djpig@debian.org> to control@bugs.debian.org. (Sun, 02 Sep 2007 19:15:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian WWW Team <debian-www@lists.debian.org>:
Bug#264589; Package www.debian.org. (Wed, 19 Nov 2008 07:09:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Wise <pabs@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian WWW Team <debian-www@lists.debian.org>. (Wed, 19 Nov 2008 07:09:03 GMT) Full text and rfc822 format available.

Message #77 received at 264589@bugs.debian.org (full text, mbox):

From: Paul Wise <pabs@debian.org>
To: 264589@bugs.debian.org
Cc: control <control@bugs.debian.org>, Javier Fernández-Sanguino Peña <jfs@debian.org>
Subject: packages.d.o: 264589: please link to manpages.d.n
Date: Wed, 19 Nov 2008 16:05:36 +0900
[Message part 1 (text/plain, inline)]
retitle 264589 packages.d.o: please link to manpages on manpages.d.n
thanks

I think it would be a good idea for packages.d.o to link to the HTML
versions of Debian manpages provided at manpages.debian.net.

Firstly the package contents pages should link the manual page path
names to the corresponding manual page on manpages.d.n.

Secondly, the individual package pages could have a documentation
section on the right sidebar linking to individual manual pages (and
doc-base info later on perhaps). If there are a large number of manual
pages in one package, manpages could grow a package search page and
packages.d.o could link to that.

-- 
bye,
pabs

http://wiki.debian.org/PaulWise
[signature.asc (application/pgp-signature, inline)]

Changed Bug title to `packages.d.o: please link to manpages on manpages.d.n' from `www.debian.org: Online manpages, preferably linked by package?'. Request was from Paul Wise <pabs@debian.org> to control@bugs.debian.org. (Wed, 19 Nov 2008 07:09:04 GMT) Full text and rfc822 format available.

Added tag(s) confirmed. Request was from Martin Zobel-Helas <zobel@debian.org> to control@bugs.debian.org. (Sun, 19 Dec 2010 00:21:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian WWW Team <debian-www@lists.debian.org>:
Bug#264589; Package www.debian.org. (Tue, 18 Jan 2011 10:36:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Javier Fernandez-Sanguino <jfs@computer.org>:
Extra info received and forwarded to list. Copy sent to Debian WWW Team <debian-www@lists.debian.org>. (Tue, 18 Jan 2011 10:36:02 GMT) Full text and rfc822 format available.

Message #86 received at 264589@bugs.debian.org (full text, mbox):

From: Javier Fernandez-Sanguino <jfs@computer.org>
To: 264589@bugs.debian.org
Cc: debian-www@lists.debian.org
Subject: Link from packages.debian.org to manpages.debian.net - updated information (bug 264589)
Date: Tue, 18 Jan 2011 11:33:30 +0100
Hi,

I just wanted to update the bug report (and the -www team) on the
status of the manpages.debian.net interface.

The current status is as follows:

- a searchable manpage interface is now available and running at a
DSA-administered machine. It is available at
http://manpages.debian.net/ and rebuilds the manpage contents
periodically (currently monthly)

- the interface is a perl CGI script, source can be directly obtained
from http://manpages.debian.net/cgi-bin/man.cgi/source and the
repository used to track its changes is available in SVN:
http://svn.debian.org/viewsvn/ddp/man-cgi/

- the manpage interface allows users to search by name, distribution and section

- in addition links like http://manpages.debian.net/man/1/dpkg are
rewrite to build a search for a specific manpage in a specific
section. This is, I believe, used by wiki.debian.org

In the backend, an extraction tool (see
http://svn.debian.org/viewsvn/ddp/man-cgi/extractor/) parses all the
packages in the archive and extracts the manpage files to a pool-like
structure.

The interface, on the other hand, is currently is lacking a way to do
a search by package names, and the underlying content is not
available. If required:

- the content (as I said following a pool structure) could be exposed
for direct access and download of the original manpages,
- searchs through package names could be implemented by building a package index

I'm not sure if this last two items are required from
packages.debian.org to make a link to manpages.debian.net. Could
someone clarify what are the interface requirements from the
packages.debian.org perspective?

Anyway, I would need help to implement the above and would accept any
patches that improve the existing interface.


Regards

Javier




Information forwarded to debian-bugs-dist@lists.debian.org, Debian WWW Team <debian-www@lists.debian.org>:
Bug#264589; Package www.debian.org. (Tue, 30 Aug 2011 10:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Javier Fern�ndez-Sanguino Pe�a <jfs@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian WWW Team <debian-www@lists.debian.org>. (Tue, 30 Aug 2011 10:57:06 GMT) Full text and rfc822 format available.

Message #91 received at 264589@bugs.debian.org (full text, mbox):

From: Javier Fernández-Sanguino Peña <jfs@debian.org>
To: 264589@bugs.debian.org
Cc: debian-www@lists.debian.org
Subject: Re: Bug#264589: Link from packages.debian.org to manpages.debian.net - updated information (bug 264589)
Date: Tue, 30 Aug 2011 12:55:55 +0200

Ehemm... ping?

Could please somebody say whether any changes are required in the CGI script
for packages.debian.org to point to manpages.debian.net?

Regards

Javier





Information forwarded to debian-bugs-dist@lists.debian.org, Debian WWW Team <debian-www@lists.debian.org>:
Bug#264589; Package www.debian.org. (Thu, 27 Dec 2012 07:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Wise <pabs@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian WWW Team <debian-www@lists.debian.org>. (Thu, 27 Dec 2012 07:51:03 GMT) Full text and rfc822 format available.

Message #96 received at 264589@bugs.debian.org (full text, mbox):

From: Paul Wise <pabs@debian.org>
To: Javier Fernández-Sanguino Peña <jfs@debian.org>
Cc: 264589@bugs.debian.org
Subject: Re: Link from packages.debian.org to manpages.debian.net - updated information (bug 264589)
Date: Thu, 27 Dec 2012 15:47:03 +0800
[Message part 1 (text/plain, inline)]
On Tue, 2011-01-18 at 11:33 +0100, Javier Fernandez-Sanguino wrote:

> I just wanted to update the bug report (and the -www team) on the
> status of the manpages.debian.net interface.

Thanks for this status, sorry the reply took so long.

I implemented linking to individual manual pages on my local machine
today, from both the filelist and package pages.

> - searches through package names could be implemented by building a package index

Based on my preliminary implementation, I think we do need a way to do a
search by package names. For packages that have a lot of manual pages,
lots of links to individual manual pages bloats the page, so I think we
want one link to all the manual pages for each binary package. Later on
someone might implement info.debian.net or docs.debian.net (doc-base)
and so we might want "Manual page(s)", "Info documents", "More
documentation" (doc-base) in a "Documentation" section.

> - the content (as I said following a pool structure) could be exposed
> for direct access and download of the original manpages,

I don't think this would be required.

> Could someone clarify what are the interface requirements from the
> packages.debian.org perspective?

We need per-package links. The packages site also requires a way to link
to the manual page of a specific language and fall back on the English
version. So something like this:

http://manpages.debian.net/pkg/<suite>/<package>/<lang>/
http://manpages.debian.net/pkg/<suite>/<package>/

If there is only one manual page in the package, that should present it.
If there are several manual pages in the package, it should list them.

In addition, I noticed that the Ubuntu manual pages have HTML markup,
would it be possible to adopt whatever code they are using for that?

http://manpages.debian.net/man/1/dpkg
http://manpages.ubuntu.com/manpages/precise/en/man1/dpkg.1.html

-- 
bye,
pabs

http://wiki.debian.org/PaulWise
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian WWW Team <debian-www@lists.debian.org>:
Bug#264589; Package www.debian.org. (Thu, 27 Dec 2012 18:24:05 GMT) Full text and rfc822 format available.

Message #99 received at 264589@bugs.debian.org (full text, mbox):

From: Andrei POPESCU <andreimpopescu@gmail.com>
To: Paul Wise <pabs@debian.org>, 264589@bugs.debian.org
Cc: Javier Fernández-Sanguino Peña <jfs@debian.org>
Subject: Re: Bug#264589: Link from packages.debian.org to manpages.debian.net - updated information (bug 264589)
Date: Thu, 27 Dec 2012 20:21:09 +0200
[Message part 1 (text/plain, inline)]
On Jo, 27 dec 12, 15:47:03, Paul Wise wrote:
> 
> In addition, I noticed that the Ubuntu manual pages have HTML markup,
> would it be possible to adopt whatever code they are using for that?
> 
> http://manpages.debian.net/man/1/dpkg
> http://manpages.ubuntu.com/manpages/precise/en/man1/dpkg.1.html

But with fixed width font please?

Kind regards,
Andrei
-- 
Offtopic discussions among Debian users and developers:
http://lists.alioth.debian.org/mailman/listinfo/d-community-offtopic
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian WWW Team <debian-www@lists.debian.org>:
Bug#264589; Package www.debian.org. (Wed, 17 Apr 2013 06:24:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Wise <pabs@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian WWW Team <debian-www@lists.debian.org>. (Wed, 17 Apr 2013 06:24:04 GMT) Full text and rfc822 format available.

Message #104 received at 264589@bugs.debian.org (full text, mbox):

From: Paul Wise <pabs@debian.org>
To: Javier Fernández-Sanguino Peña <jfs@debian.org>
Cc: 264589@bugs.debian.org
Subject: Re: Link from packages.debian.org to manpages.debian.net - updated information (bug 264589)
Date: Wed, 17 Apr 2013 14:21:56 +0800
[Message part 1 (text/plain, inline)]
On Thu, 2012-12-27 at 15:47 +0800, Paul Wise wrote:

> I implemented linking to individual manual pages on my local machine
> today, from both the filelist and package pages.

Attached so that it doesn't get lost.

> Based on my preliminary implementation, I think we do need a way to do a
> search by package names.
> ...
> We need per-package links. The packages site also requires a way to link
> to the manual page of a specific language and fall back on the English
> version. So something like this:
> 
> http://manpages.debian.net/pkg/<suite>/<package>/<lang>/
> http://manpages.debian.net/pkg/<suite>/<package>/
> 
> If there is only one manual page in the package, that should present it.
> If there are several manual pages in the package, it should list them.

Did you get a chance to implement this yet?

In addition, would it be possible to get all of the redirects to include
an optional language parameter on the end? This way the contents pages
can also link to manual page translations.

-- 
bye,
pabs

http://wiki.debian.org/PaulWise
[0001-Link-to-manual-pages-Closes-264589.patch (text/x-patch, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian WWW Team <debian-www@lists.debian.org>:
Bug#264589; Package www.debian.org. (Sat, 30 Nov 2013 02:03:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Wise <pabs@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian WWW Team <debian-www@lists.debian.org>. (Sat, 30 Nov 2013 02:03:02 GMT) Full text and rfc822 format available.

Message #109 received at 264589@bugs.debian.org (full text, mbox):

From: Paul Wise <pabs@debian.org>
To: 264589@bugs.debian.org
Subject: Re: Link from packages.debian.org to manpages.debian.net - updated information (bug 264589)
Date: Sat, 30 Nov 2013 10:00:27 +0800
[Message part 1 (text/plain, inline)]
On Wed, 2013-04-17 at 14:21 +0800, Paul Wise wrote:
> On Thu, 2012-12-27 at 15:47 +0800, Paul Wise wrote:
> 
> > I implemented linking to individual manual pages on my local machine
> > today, from both the filelist and package pages.
> 
> Attached so that it doesn't get lost.

Attached an update for using manpages.d.o instead.

-- 
bye,
pabs

http://wiki.debian.org/PaulWise
[0001-Link-to-manual-pages-Closes-264589.patch (text/x-patch, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian WWW Team <debian-www@lists.debian.org>:
Bug#264589; Package www.debian.org. (Tue, 04 Mar 2014 04:12:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Wise <pabs@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian WWW Team <debian-www@lists.debian.org>. (Tue, 04 Mar 2014 04:12:04 GMT) Full text and rfc822 format available.

Message #114 received at 264589@bugs.debian.org (full text, mbox):

From: Paul Wise <pabs@debian.org>
To: 264589@bugs.debian.org
Subject: Re: Link from packages.debian.org to manpages.debian.net - updated information (bug 264589)
Date: Tue, 04 Mar 2014 12:08:54 +0800
[Message part 1 (text/plain, inline)]
On Sat, 2013-11-30 at 10:00 +0800, Paul Wise wrote:

> Attached an update for using manpages.d.o instead.

Attached an update to support the new per-language redirects on
manpages.d.o and the filesystem paths for translated manpages.

-- 
bye,
pabs

http://wiki.debian.org/PaulWise
[0001-Link-to-manual-pages-Closes-264589.patch (text/x-patch, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian WWW Team <debian-www@lists.debian.org>:
Bug#264589; Package www.debian.org. (Tue, 04 Mar 2014 08:33:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Javier Fernandez-Sanguino <jfs@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian WWW Team <debian-www@lists.debian.org>. (Tue, 04 Mar 2014 08:33:10 GMT) Full text and rfc822 format available.

Message #119 received at 264589@bugs.debian.org (full text, mbox):

From: Javier Fernandez-Sanguino <jfs@debian.org>
To: Paul Wise <pabs@debian.org>, 264589@bugs.debian.org
Subject: Re: Bug#264589: Link from packages.debian.org to manpages.debian.net - updated information (bug 264589)
Date: Tue, 4 Mar 2014 09:29:06 +0100
On 27 December 2012 08:47, Paul Wise <pabs@debian.org> wrote:
>
> In addition, I noticed that the Ubuntu manual pages have HTML markup,
> would it be possible to adopt whatever code they are using for that?
>
(...)

Some months ago I started tinkering with their scripts (actually
Dustin Kirkland's). They basicly extract all the manpages from
packages and convert them to (static) HTML pages. On top of this there
is a Python script to search the archive.

The code [1] is a little bit Ubuntu-specific but could be changed for
Debian. I have added some of it (and modified it slightly) here:
http://anonscm.debian.org/viewvc/ddp/man-cgi/static-repository/ and
started playing with it in glinka.  It is available through here:
http://manpages.debian.org/static/ (not fully working, very draft
form)

However, it's far from finished. I have not been able to allocate
enough time to have a final implementation though

The downside of this approach is that the service would consume double
the disk space it currently does. As it would have two repositories:

- one with the original manpages (aprox. 6 GB currently)
- one with the manpages converted into static HTML files

The HTML files would be there regardless of whether they actually get
used or not.

On the upside: it would be faster, since the CGI script would not need
to generate the manpages on the fly for every user.

Best regards


Javier


[1] https://blueprints.launchpad.net/ubuntu-docs/+spec/ubuntu-manpage-repository



Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 11:23:48 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.